/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */

#ifndef __NMM_HEADER__
#define __NMM_HEADER__

#include <qpe/qpemenubar.h>
#include <qmainwindow.h>
#include <qpopupmenu.h>
#include "BoardWidget.h"

class Nmm : public QMainWindow
{
    Q_OBJECT

public:
    Nmm(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
    ~Nmm();

private:
    void readConfig(void);
    void writeConfig(void);

private:
    QPopupMenu *m_playerColorMenu;
    QPopupMenu *m_levelMenu;
    QPopupMenu *m_animationsMenu;
    BoardWidget *m_board_widget;
    int m_player_color;
    int m_level;
    int m_animations;

protected slots:
    void updatePlayerColor(int player_color);
    void updateLevel(int level);
    void updateAnimations(int animations);
};

#endif // __NMM_HEADER__

