/* this file contains the global definitions from gnmm.cc */

#ifndef GNMM_H
#define GNMM_H

#include "tree.hh"
#include "eval.hh"
#include "board.hh"

#define CORNER 0
#define TILE_SIZE 32
#define SIZE 7

extern SearchAlgo algo;
extern CountEval eval_cnt;
extern Board board;
extern Move current_move;

extern int BoardMapData[7][7];
extern int validplace[7][7];
extern int coord2move[7][7];
extern int move2coord[24][2];

extern int history_size;
extern int history_length;
extern int history_pos;
extern Board* history;

extern Move next_valid[200];
extern int n_next_valid;

extern int level2nodes[5];

void push(const Board& b);
void gen_valid_moves();
bool is_valid_move(const Move& m);
bool valid_moving(const Move& m);
void game_init();
void game_exit();

#endif

